플랜
플랜 고치기
필요한 권한: plans:write
PUT
/
v1
/
plans
/
{id}
플랜 고치기
curl --request PUT \
--url https://api.morrowly.app/v1/plans/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"assumptions": {
"capLoans": true,
"cashFloor": 123,
"cashReturn": 123,
"childDependent": true,
"contributions": [
{
"assetId": "<string>",
"monthlyAmount": 123,
"until": "<string>",
"untilRetirement": true
}
],
"dividendYield": 123,
"harvestGains": true,
"incomeGrowth": 123,
"inflation": 123,
"investmentReturn": 123,
"prepayDebt": true,
"realEstateGrowth": 123,
"safeWithdrawalRate": 123,
"surplusTargetAssetId": "<string>"
},
"items": [
{
"id": "<string>",
"kind": "<string>",
"name": "<string>",
"annualRate": 123,
"cost": 123,
"end": {
"age": 123,
"milestone": "<string>",
"month": "<string>",
"offset": 123
},
"loan": {
"annualRate": 123,
"principal": 123,
"termMonths": 123
},
"price": 123,
"saleCost": 123,
"start": {
"age": 123,
"milestone": "<string>",
"month": "<string>",
"offset": 123
}
}
],
"milestones": [
{
"id": "<string>",
"name": "<string>",
"time": {
"age": 123,
"milestone": "<string>",
"month": "<string>",
"offset": 123
}
}
],
"monteCarlo": {
"almostYears": 123,
"comfortable": 123,
"excellent": 123,
"fair": 123,
"good": 123,
"homeRisk": true,
"runs": 123,
"seed": 123,
"surplus": 123,
"volatility": 123
},
"months": 123,
"name": "<string>",
"off": [
"<string>"
],
"revision": "<string>"
}
'import requests
url = "https://api.morrowly.app/v1/plans/{id}"
payload = {
"assumptions": {
"capLoans": True,
"cashFloor": 123,
"cashReturn": 123,
"childDependent": True,
"contributions": [
{
"assetId": "<string>",
"monthlyAmount": 123,
"until": "<string>",
"untilRetirement": True
}
],
"dividendYield": 123,
"harvestGains": True,
"incomeGrowth": 123,
"inflation": 123,
"investmentReturn": 123,
"prepayDebt": True,
"realEstateGrowth": 123,
"safeWithdrawalRate": 123,
"surplusTargetAssetId": "<string>"
},
"items": [
{
"id": "<string>",
"kind": "<string>",
"name": "<string>",
"annualRate": 123,
"cost": 123,
"end": {
"age": 123,
"milestone": "<string>",
"month": "<string>",
"offset": 123
},
"loan": {
"annualRate": 123,
"principal": 123,
"termMonths": 123
},
"price": 123,
"saleCost": 123,
"start": {
"age": 123,
"milestone": "<string>",
"month": "<string>",
"offset": 123
}
}
],
"milestones": [
{
"id": "<string>",
"name": "<string>",
"time": {
"age": 123,
"milestone": "<string>",
"month": "<string>",
"offset": 123
}
}
],
"monteCarlo": {
"almostYears": 123,
"comfortable": 123,
"excellent": 123,
"fair": 123,
"good": 123,
"homeRisk": True,
"runs": 123,
"seed": 123,
"surplus": 123,
"volatility": 123
},
"months": 123,
"name": "<string>",
"off": ["<string>"],
"revision": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
assumptions: {
capLoans: true,
cashFloor: 123,
cashReturn: 123,
childDependent: true,
contributions: [
{
assetId: '<string>',
monthlyAmount: 123,
until: '<string>',
untilRetirement: true
}
],
dividendYield: 123,
harvestGains: true,
incomeGrowth: 123,
inflation: 123,
investmentReturn: 123,
prepayDebt: true,
realEstateGrowth: 123,
safeWithdrawalRate: 123,
surplusTargetAssetId: '<string>'
},
items: [
{
id: '<string>',
kind: '<string>',
name: '<string>',
annualRate: 123,
cost: 123,
end: {age: 123, milestone: '<string>', month: '<string>', offset: 123},
loan: {annualRate: 123, principal: 123, termMonths: 123},
price: 123,
saleCost: 123,
start: {age: 123, milestone: '<string>', month: '<string>', offset: 123}
}
],
milestones: [
{
id: '<string>',
name: '<string>',
time: {age: 123, milestone: '<string>', month: '<string>', offset: 123}
}
],
monteCarlo: {
almostYears: 123,
comfortable: 123,
excellent: 123,
fair: 123,
good: 123,
homeRisk: true,
runs: 123,
seed: 123,
surplus: 123,
volatility: 123
},
months: 123,
name: '<string>',
off: ['<string>'],
revision: '<string>'
})
};
fetch('https://api.morrowly.app/v1/plans/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"assumptions": {
"capLoans": true,
"cashFloor": 123,
"cashReturn": 123,
"childDependent": true,
"contributions": [
{
"assetId": "<string>",
"monthlyAmount": 123,
"until": "<string>",
"untilRetirement": true
}
],
"dividendYield": 123,
"harvestGains": true,
"incomeGrowth": 123,
"inflation": 123,
"investmentReturn": 123,
"prepayDebt": true,
"realEstateGrowth": 123,
"safeWithdrawalRate": 123,
"surplusTargetAssetId": "<string>",
"withdrawalOrder": "PROPORTIONAL"
},
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"items": [
{
"id": "<string>",
"kind": "<string>",
"name": "<string>",
"annualRate": 123,
"assetType": "INVESTMENT",
"cost": 123,
"end": {
"age": 123,
"milestone": "<string>",
"month": "<string>",
"offset": 123,
"who": "SELF"
},
"loan": {
"annualRate": 123,
"owner": "SELF",
"policyLoan": "DIDIMDOL",
"principal": 123,
"repayment": "ANNUITY",
"termMonths": 123
},
"owner": "SELF",
"price": 123,
"saleCost": 123,
"start": {
"age": 123,
"milestone": "<string>",
"month": "<string>",
"offset": 123,
"who": "SELF"
}
}
],
"milestones": [
{
"id": "<string>",
"name": "<string>",
"time": {
"age": 123,
"milestone": "<string>",
"month": "<string>",
"offset": 123,
"who": "SELF"
}
}
],
"monteCarlo": {
"almostYears": 123,
"comfortable": 123,
"distribution": "LOGNORMAL",
"excellent": 123,
"fair": 123,
"good": 123,
"homeRisk": true,
"market": "SP500",
"runs": 123,
"seed": 123,
"surplus": 123,
"volatility": 123
},
"months": 123,
"name": "<string>",
"off": [
"<string>"
],
"revision": "<string>",
"startMonth": "<string>",
"updatedAt": "2023-11-07T05:31:56Z"
},
"error": {
"code": "<string>",
"data": "<unknown>",
"message": "<string>"
},
"result": "SUCCESS"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Show child attributes
Show child attributes
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
- Option 8
- Option 9
- Option 10
- Option 11
- Option 12
- Option 13
- Option 14
- Option 15
- Option 16
- Option 17
- Option 18
- Option 19
- Option 20
- Option 21
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I
플랜 고치기
